openldap:
  image: metalabsat/openldap:latest
  env_file:
    - config/ldap.env
  restart: unless-stopped
  volumes:
    - /etc/ldap/slapd.d
    - /var/lib/ldap

nginx:
  image: metalabsat/nginx:latest
  ports:
    - 0.0.0.0:80:80/tcp
    - 0.0.0.0:443:443/tcp
  restart: unless-stopped
  volumes:
    - /etc/nginx
    - /etc/nginx/certs
    - /var/log/nginx

docker-gen:
  image: metalabsat/docker-gen:latest
  command: -notify-sighup scenic-server_nginx_1 -watch /etc/docker-gen/templates/nginx.tmpl /etc/nginx/conf.d/default.conf
  links:
    - nginx
  restart: unless-stopped
  volumes:
    - /var/run/docker.sock:/var/run/docker.sock:ro
    - $PWD/config/nginx.tmpl:/etc/docker-gen/templates/nginx.tmpl
  volumes_from:
    - nginx:rw

phpldapadmin:
  image: metalabsat/phpldapadmin:latest
  env_file:
    - config/phpldapadmin.env
  expose:
    - 443/tcp
  links:
    - openldap:ldap
  restart: unless-stopped

freeswitch:
  image: metalabsat/freeswitch:latest
  env_file:
    - config/sip.env
  expose:
    - 5060/tcp
    - 5060/udp
  links:
    - openldap:ldap
  ports:
    - 0.0.0.0:5060:5060/tcp
    - 0.0.0.0:5060:5060/udp
  restart: unless-stopped
  volumes:
    - /var/lib/freeswitch

coturn:
  image: metalabsat/coturn:latest
  expose:
    - 3478/tcp
    - 3478/udp
  links:
    - openldap:ldap
  ports:
    - 0.0.0.0:3478:3478/tcp
    - 0.0.0.0:3478:3478/udp
  restart: unless-stopped
  volumes:
    - /var/lib/turn
